%define upstream_name    MooseX-Storage
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A custom meta-attribute-trait to bypass serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.50.0
BuildArch:  noarch

%description
MooseX::Storage is a serialization framework for Moose, it provides a very
flexible and highly pluggable way to serialize Moose classes to a number of
different formats and styles.

Important Note
    This is still an early release of this module, so use with caution.
    It's outward facing serialization API should be considered stable, but
    I still reserve the right to make tweaks if I need too. Anything beyond
    the basic pack/unpack, freeze/thaw and load/store should not be relied
    on.

Levels of Serialization
    There are 3 levels to the serialization, each of which builds upon the
    other and each of which can be customized to the specific needs of your
    class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.310.0-1.mga2
+ Revision: 218770
- update to 0.31

* Wed Jun 15 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 107150
- update to 0.30

* Wed Jan 26 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 40733
- mageia rebuild
- imported package perl-MooseX-Storage

